package designer.model;

/*------------------------------------------------------------------------------
 * Licensed Materials - Property of IBM                                        
 *  "Restricted Materials of IBM"                                               
 *  WebSphere MQ Everyplace for Multiplatforms: MQeDesigner                                                                    
 *                                                                              
 *  (C) Copyright IBM Corp. 2002  All Rights Reserved.                    
 *                                                                              
 *  US Government Users Restricted Rights - Use, duplication or                 
 *  disclosure restricted by GSA ADP Schedule Contract with                     
 *  IBM Corp.                                                                   
 *------------------------------------------------------------------------------*/

public class LocalQueue extends Queue {
/**
 * LocalQueue constructor comment.
 * @param owner snoop.model.QueueManager
 */
public LocalQueue(QueueManager owner) {
	super(owner);
}
/**
 * return  a textual description of the receiver
 */
public String getExplanation() {
	StringBuffer buf = new StringBuffer();
	buf.append(getShortDescription());
	buf.append(" provides provides storage for messages. ");
	return buf.toString();
}
public String getType() {
	return "Local Queue";
}
public boolean isLocalQueue() {
	return true;
}
}
