package glyph.dialogues;

/*------------------------------------------------------------------------------
 * Licensed Materials - Property of IBM                                        
 *  "Restricted Materials of IBM"                                               
 *  WebSphere MQ Everyplace for Multiplatforms: MQeDesigner                                                                    
 *                                                                              
 *  (C) Copyright IBM Corp. 2002  All Rights Reserved.                    
 *                                                                              
 *  US Government Users Restricted Rights - Use, duplication or                 
 *  disclosure restricted by GSA ADP Schedule Contract with                     
 *  IBM Corp.                                                                   
 *------------------------------------------------------------------------------*/

import java.awt.*;
public class Splash extends RendererDialogue {
/**
 * Splash constructor comment.
 * @param parent java.awt.Frame
 * @param title java.lang.String
 */
public Splash(Frame parent, String title, String text) {
	super(parent, title);
	setLayout(new BorderLayout());
	FormattingTextPanel ftp = new FormattingTextPanel();
	//TextArea ftp = new TextArea();
	//ftp.setEditable(false);
	ftp.setText(text);
	add(BorderLayout.CENTER, ftp);
	add("South", createOkPanel());
	setSize(300, 100);
}
}
